### Method

# Gtk EntryCompletion get_model

deprecated: 4.10

#### Declaration [src]

    GtkTreeModel*
    gtk_entry_completion_get_model (
      GtkEntryCompletion* completion
    )

#### Description [src]

Returns the model the `GtkEntryCompletion` is using as data source.

Returns `NULL` if the model is unset.

Deprecated since: 4.10

GtkEntryCompletion will be removed in GTK 5.

Gets property | `Gtk.EntryCompletion:model`

#### Return value

Type: `GtkTreeModel`

A `GtkTreeModel`

The data is owned by the instance.
The return value can be `NULL`.